Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class broadcast

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.broadcast

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class broadcast

extends DefaultInternalAction

Internal action: `.broadcast`.

Description: broadcasts a message to all known agents.

Parameters:

- + ilf (atom): the illocutionary force of the message (tell, achieve, ...).
- + message (literal): the content of the message.

Example:

- `.broadcast(tell,value(10))`: sends `value(10)` as a "tell" message to all known agents in the society.

See Also:
  `send`, `my_name`, Serialized Form

Constructor Summary
`broadcast()`

Method Summary
`boolean` | `canBeUsedInContext()` Return true if the internal action can be used in plans' context
`protected void` | `checkArguments(Term[] args)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### broadcast

    public broadcast()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### canBeUsedInContext

    public boolean canBeUsedInContext()

  Description copied from interface: `InternalAction`
  Return true if the internal action can be used in plans' context

  Specified by:
    `canBeUsedInContext` in interface `InternalAction`
  Overrides:
    `canBeUsedInContext` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD